package xyz.veronie.bgg.ui.parts;


import javax.annotation.PostConstruct;
import javax.inject.Inject;

import org.eclipse.e4.core.di.annotations.Creatable;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.di.UIEventTopic;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import xyz.veronie.bgg.types.EventConstants;

@Creatable
public class StatusBar {

	private Label statusLabel;
	private Composite main;
	
	@PostConstruct
	public void createControls(Composite parent) {
		main = new Composite(parent, SWT.FILL);
		
		statusLabel = new Label(main, SWT.FILL);
		statusLabel.setText("ASDF");
	}
	
	
	@Inject
	@Optional
	private void subscribeTopicSourceChanged
	    (@UIEventTopic(EventConstants.TOPIC_STATUS)
	        String text) {
	    statusLabel.setText(text);
	    main.layout();
	    System.out.println("Status: " + text);
	}
}
